### Method

# ICalGLib Array copy

since: 1.0

#### Declaration [src]

    ICalArray*
    i_cal_array_copy (
      ICalArray* array
    )

#### Description [src]

Creates a deep copy of `ICalArray` with the same properties as the `array`.

Available since: 1.0

#### Return value

Type: `ICalArray`

The newly cloned `ICalArray` with the same value as the `array`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.